## mars.venus
Class RunGoAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.RunGoAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class RunGoAction

extends GuiAction

Action class for the Run -> Go menu item (and toolbar icon)

See Also:
  Serialized Form

Field Summary
`static int` `defaultMaxSteps`
`static int` `maxSteps`

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`RunGoAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` `actionPerformed(ActionEvent e)` Action to take when GO is selected -- run the MIPS program!
`void` `paused(boolean done, int pauseReason, ProcessingException pe)` Method to be called when Pause is selected through menu/toolbar/shortcut.
`static void` `resetMaxSteps()` Reset max steps limit to default value at termination of a simulated execution.
`void` `stopped(ProcessingException pe, int reason)` Method to be called when Stop is selected through menu/toolbar/shortcut.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultMaxSteps

    public static int defaultMaxSteps

### maxSteps

    public static int maxSteps

Constructor Detail

### RunGoAction

    public RunGoAction(String name,
                       Icon icon,
                       String descrip,
                       Integer mnemonic,
                       KeyStroke accel,
                       VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Action to take when GO is selected -- run the MIPS program!

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`

### paused

    public void paused(boolean done,
                       int pauseReason,
                       ProcessingException pe)

  Method to be called when Pause is selected through menu/toolbar/shortcut. This should only happen when MIPS program is running (FileStatus.RUNNING). See VenusUI.java for enabled status of menu items based on FileStatus. Set GUI as if at breakpoint or executing step by step.

### stopped

    public void stopped(ProcessingException pe,
                        int reason)

  Method to be called when Stop is selected through menu/toolbar/shortcut. This should only happen when MIPS program is running (FileStatus.RUNNING). See VenusUI.java for enabled status of menu items based on FileStatus. Display finalized values as if execution terminated due to completion or exception.

### resetMaxSteps

    public static void resetMaxSteps()

  Reset max steps limit to default value at termination of a simulated execution.